Product comparison · 2 ip phones

HP Poly Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit vs Yealink SIP T42U

Add a product
  • 13specifications compared
  • 13differ
  • 0identical
  • 61known for one product only

Key differences

The Yealink SIP T42U has 5 - 95% more operating relative humidity (H-H) than the HP Poly Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit (10 - 95% vs 5 - 95%). The Yealink SIP T42U has 156.8 mm more width than the HP Poly Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit (212 mm vs 55.2 mm). The Yealink SIP T42U has 62 mm more depth than the HP Poly Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit (189 mm vs 127 mm). Product colour: Black on the HP Poly Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit, Grey on the Yealink SIP T42U. Display: TFT on the HP Poly Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit, LCD on the Yealink SIP T42U.

  • Product colour
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:Black
    • SIP T42U:Grey
  • Display
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:TFT
    • SIP T42U:LCD
  • Display diagonal
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:5.08 cm (2")
    • SIP T42U:6.86 cm (2.7")
  • Display resolution
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:128 x 160 pixels
    • SIP T42U:192 x 68 pixels
  • Operating relative humidity (H-H)
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:5 - 95%
    • SIP T42U:10 - 95%
  • Operating temperature (T-T)
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:-10 - 55 °C
    • SIP T42U:-10 - 50 °C
  • Width
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:55.2 mm
    • SIP T42U:212 mm
  • Depth
    • Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit:127 mm
    • SIP T42U:189 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of Rove 20 Single Cell DECT 1880-1900 MHz B1 Base Station and 20 Phone Handset Kit, SIP T42U
74 specifications
Design1 differ
Product typeKnown for oneUnknown — not stated by the sourceIP Phone
Handset typeKnown for oneUnknown — not stated by the sourceWireless handset
Product colourDiffersBlackGrey
Device lockKnown for oneUnknown — not stated by the sourceYes
MountingKnown for oneUnknown — not stated by the sourceDesk/Wall
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Phone featuresidentical
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingKnown for oneUnknown — not stated by the sourceYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Call holdKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingKnown for oneUnknown — not stated by the sourceYes
Caller IDKnown for oneUnknown — not stated by the sourceYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Direct callKnown for oneUnknown — not stated by the sourceYes
Distinctive ringKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
Number of VoIP accountsKnown for oneUnknown — not stated by the source12
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceNo
Number of function keysKnown for oneUnknown — not stated by the source5
Number of programmable keysKnown for oneUnknown — not stated by the source6
Display3 differ
DisplayDiffersTFTLCD
Display diagonalDiffers5.08 cm (2")6.86 cm (2.7")
Display resolutionDiffers128 x 160 pixels192 x 68 pixels
Cameraidentical
Rear cameraKnown for oneUnknown — not stated by the sourceYes
Networkidentical
Ethernet LANKnown for oneUnknown — not stated by the sourceYes
Ethernet LAN interface typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet
Wi-FiKnown for oneUnknown — not stated by the sourceYes
BluetoothKnown for oneUnknown — not stated by the sourceYes
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfacesidentical
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Ethernet LAN (RJ-45) portsKnown for oneUnknown — not stated by the source2
RJ-9 ports quantityKnown for oneUnknown — not stated by the source2
Poweridentical
Power consumption (typical)Known for oneUnknown — not stated by the source2.2 W
AC adapter output voltageKnown for one5 VUnknown — not stated by the source
AC adapter output currentKnown for one1 AUnknown — not stated by the source
Standby timeKnown for one300 hUnknown — not stated by the source
Talk timeKnown for one35 hUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs5 - 95%10 - 95%
Operating temperature (T-T)Differs-10 - 55 °C-10 - 50 °C
Storage temperature (T-T)Known for one-40 - 70 °CUnknown — not stated by the source
Weight & dimensions7 differ
WidthDiffers55.2 mm212 mm
DepthDiffers127 mm189 mm
HeightDiffers26.3 mm175 mm
Package widthDiffers230 mm627 mm
Package depthDiffers173 mm256 mm
Package heightDiffers60 mm235 mm
Package weightDiffers300 g63 kg
WeightKnown for one455 gUnknown — not stated by the source
Packaging contentidentical
AC adapter includedKnown for oneUnknown — not stated by the sourceNo
Number of handles includedKnown for oneUnknown — not stated by the source1 pc(s)
Base stationKnown for oneYesUnknown — not stated by the source
Headset includedKnown for oneYesUnknown — not stated by the source
ManualKnown for oneYesUnknown — not stated by the source
Performanceidentical
Maximum indoor rangeKnown for one50 mUnknown — not stated by the source
Audioidentical
SpeakerphoneKnown for oneYesUnknown — not stated by the source
Microphone muteKnown for oneYesUnknown — not stated by the source
Voice codecsKnown for oneG.165, G.168Unknown — not stated by the source
Certificatesidentical
Sustainability certificatesKnown for oneENERGY STARUnknown — not stated by the source
CertificationKnown for oneUL 62368-1Unknown — not stated by the source
Batteryidentical
Battery technologyKnown for oneLithium-Ion (Li-Ion)Unknown — not stated by the source
Logistics dataidentical
Country of originKnown for oneChinaUnknown — not stated by the source
Pallet gross weightKnown for one357 kgUnknown — not stated by the source
UNSPSC-codeKnown for one43191511Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons